Bug 1121111 - various README.md is out of date for shipped version of docker
Summary: various README.md is out of date for shipped version of docker
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-dockerfiles
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Aditya Patawari
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 11:52 UTC by Peter Robinson
Modified: 2014-08-30 03:56 UTC (History)
2 users (show)

Fixed In Version: fedora-dockerfiles-0-0.11.git0d2f49b.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-30 03:56:40 UTC


Attachments (Terms of Use)

Description Peter Robinson 2014-07-18 11:52:08 UTC
fedora-dockerfiles-0-0.7.git122ef5d.fc21.x86_64
docker-io-1.0.0-6.fc21.x86_64

For example in:
/usr/share/fedora-dockerfiles/nodejs/README.md

It states:
Copy the sources down and do the build-

\# docker build -rm -t <username>/nodejs .

But if you run:
$ docker build -rm -t blah/nodejs
Warning: '-rm' is deprecated, it will be replaced by '--rm' soon. See usage.

Usage: docker build [OPTIONS] PATH | URL | -

Build a new image from the source code at PATH

  --force-rm=false     Always remove intermediate containers, even after unsuccessful builds
  --no-cache=false     Do not use cache when building the image
  -q, --quiet=false    Suppress the verbose output generated by the containers
  --rm=true            Remove intermediate containers after a successful build
  -t, --tag=""         Repository name (and optionally a tag) to be applied to the resulting image in case of success
$ 

It seems most of the README.md sile are the same

Comment 1 Aditya Patawari 2014-08-08 12:19:20 UTC
I checked and there are 28 such files. I can run a quick sed, get it fixed and submit a pull request. Sounds good?

Comment 2 Lokesh Mandvekar 2014-08-08 23:22:43 UTC
(In reply to Aditya Patawari from comment #1)
> I checked and there are 28 such files. I can run a quick sed, get it fixed
> and submit a pull request. Sounds good?

Yup! Thanks for signing up :)

Comment 3 Fedora Update System 2014-08-16 15:08:18 UTC
fedora-dockerfiles-0-0.10.git0d2f49b.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedora-dockerfiles-0-0.10.git0d2f49b.fc20

Comment 4 Fedora Update System 2014-08-19 06:05:03 UTC
fedora-dockerfiles-0-0.11.git0d2f49b.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedora-dockerfiles-0-0.11.git0d2f49b.fc20

Comment 5 Fedora Update System 2014-08-19 07:06:00 UTC
Package fedora-dockerfiles-0-0.10.git0d2f49b.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-dockerfiles-0-0.10.git0d2f49b.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9541/fedora-dockerfiles-0-0.10.git0d2f49b.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-08-30 03:56:40 UTC
fedora-dockerfiles-0-0.11.git0d2f49b.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.